/*
 * $Id: ProjectInfo.java,v 1.7 2005/02/16 16:32:19 jonyp Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: ProjectInfo.java,v $
 * Revision 1.7  2005/02/16 16:32:19  jonyp
 * put creator/created into projectinfo
 *
 * Revision 1.6  2004/08/04 23:22:09  marbobo
 * + Flag für Kategorien/Projekte berücksichtigen
 *
 * Revision 1.5  2004/07/20 08:51:21  jonyp
 * added copyright info + cvs log
 *
 *
 */

package vkc.view.bean;

import vkc.util.StringUtils;

public class ProjectInfo {
	
	protected Integer id = null;
	protected Integer projectflag = null;
	protected Integer projectstatus = null;
	protected String description = null;
	protected String name = null;
	protected String creator = null;
	protected String created = null;

	public String getCuttedName() {
		return StringUtils.cut( name, 15 );
	}

	public String getDescription() {
		return description;
	}

	public void setDescription( String string ) {
		description = string;
	}

	public Integer getId() {
		return id;
	}

    public void setId( Integer id1 ) {
        id = id1;
    }

	public String getName() {
		return name;
	}

    public void setName( String name1 ) {
        name = name1;
    }

    public Integer getProjectflag() {
        return projectflag;
    }

    public void setProjectflag( Integer projectflag1 ) {
        projectflag = projectflag1;
    }

    public Integer getProjectstatus() {
        return projectstatus;
    }

    public void setProjectstatus( Integer projectstatus1 ) {
        projectstatus = projectstatus1;
    }

    public String toString() {
		return new StringBuffer()
			.append( getName() )
			.append( " ( " )
			.append( getId() )
			.append( " )" ).toString();
	}

    public String getCreated() {
        return created;
    }

    public void setCreated(String created) {
        this.created = created;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
}